#ifndef COPTIONS
#define COPTIONS

#include <QObject>

class COptions : public QObject
{
    Q_OBJECT
public:
    typedef struct tagJogParams {
        float linearVelocity;
        float linearAcceleration;
        float jointVelocity;
        float jointAcceleration;
        float servoVelocity;
        float servoAcceleration;

        float velocityRatio;
    }JogParams;
    typedef struct tagPlayBackParams {
        float jointVelocity;
        float jointAcceleration;
        float servoVelocity;
        float servoAcceleration;
        float linearVelocity;
        float linearAcceleration;
        float pauseTime;
        float jumpHeight;

        float velocityRatio;
        float accelerationRatio;
    }PlayBackParams;
private:
    explicit COptions(QObject *parent = 0);
    ~COptions();
    void loadJogParams(void);
    void saveJogParams(void);
    void loadPlayBackParams(void);
    void savePlayBackParams(void);
public:
    static COptions *instance(void);

    void setJogParams(JogParams *jogParams);
    void setJogVelocityRatio(float velocityRatio);

    void getJogParams(JogParams *jogParams);

    void setPlayBackParams(PlayBackParams *playBackParams);
    void setPlayBackVelocityParams(float velocityRatio);
    void setPlayBackAccelerationRatio(float accelerationRatio);

    void getPlayBackParams(PlayBackParams *playBackParams);
private:
    JogParams jogParams;
    PlayBackParams playBackParams;
};

#endif // COPTIONS
