#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QDialog>
#include "DobotClient.h"
//#include "CEEGManager.h"

class QTableWidget;
class CEEGCurveDialog;
class MainWindow : public QDialog
{
    Q_OBJECT

public:
    MainWindow(QWidget *parent = 0);
    ~MainWindow();
private:
    void initJogUI(QWidget *widget);
    void initPlayBackUI(QWidget *widget);
    void insertPlayBackRow(const DobotClient::PlayBackPoint &playBackPoint);
    void getPlayBackPoints(QVector<DobotClient::PlayBackPoint> &playBackPoints);
private slots:
    void onJogModeChanged(int index);
    void onJogCtrlBtnPressed(int index);
    void onJogCtrlBtnReleased(void);
    void onJogVelocityRatioChanged(int value);

  //  void onEndTypeChanged();
   // void onGrabToggled(bool checked);
    void onLaserToggled(bool checked);
    void onJogConfigBtnClicked(void);
    //void onUserDefBtnClicked(void);
   // void onEEGBtnClicked(void);
   // void onEEGCurveDlgFinished(void);
  //  void onEEGNewFrame(const CEEGManager::EEGData &eegData);

    void insertPlayBackRow(void);
    void removePlayBackRow(void);
    void onPlayBackRatioChanged(void);

    void onSendAllBtnClicked(bool force = false);
    void onStopBtnClicked(void);

    void onPlayBackConfigBtnClicked(void);

    void onNewFrame(const QVector<unsigned char> &frame);
protected:
    void keyPressEvent(QKeyEvent *keyEvent);
private:
    QWidget *widget[2];
    CEEGCurveDialog *eegCurveDlg;
};

#endif // MAINWINDOW_H
